#!/bin/bash

# Three different views to the problem.

bash sub_condensed.sh &
bash sub_longnames.sh &
bash sub_flat.sh      &

cd /tmp

# The slowest (bug_condensed) counts up-to about 6200
wait

# Print some statistics. Different file and dir counts,
# similar total file name length.
for SD in ttest ftest ltest; do
    cd /tmp/$SD
    F=$(find . -type f | wc -l)
    D=$(find . -type d | wc -l)
    L=$(find . -type f | wc -c)
    printf "%10s files %6d dirs %6d file name length total %6d\n" $SD $F $D $L
done

# Intentionally leaving the directories behind.
